nsscache (0.49-3) unstable; urgency=medium

  * Add build dependency on passwd.  Closes: #1072047

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 29 May 2024 14:15:49 +1000

nsscache (0.49-2) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/control: add Depends: python3-packaging for nsscache

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 16 Aug 2023 14:51:49 +1000

nsscache (0.49-1) unstable; urgency=medium

  * New upstream release.
  * Reinstate build-time tests now there's no dependency on mox upstream.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 04 Jun 2023 15:08:45 +1000

nsscache (0.48-2) unstable; urgency=medium

  * Remove distutils from `ldapsource`.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 02 May 2023 22:13:14 +1000

nsscache (0.48-1) unstable; urgency=medium

  [ Kevin Bowling ]
  * Remove support for BDB

  [ Jamie Wilkinson ]
  * Add a .gitignore for debian subdir.
  * Bump Standards-Version to 4.6.2.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 02 May 2023 21:55:29 +1000

nsscache (0.42-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable buildtime tests to get rid of the build dependency
    on python3-mox3. (Closes: #1028454)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Mar 2023 22:20:08 +0200

nsscache (0.42-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Use MDB as the LDAP backend; BDB is being deprecated.
    OpenLDAP 2.5.x removed the BDB backend, so we have to adjust the
    testsuite to use the MDB backend, which is the recommended one.
    (Closes: #990172)

  [ Jamie Wilkinson ]
  * Remove debian/compat and use debhelper-compat virtual package.  Bump to 13.
  * Mark control with Rules-Requires-Root: no.
  * Format copyright according to dep5.
  * Fix path to GPL-2 in copyright.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 11 Oct 2021 15:13:20 +1100

nsscache (0.42-1) unstable; urgency=medium

  * New upstream release.
  * Remove trailing whitespace from changelog.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 29 Mar 2021 16:05:43 +1100

nsscache (0.41-2) unstable; urgency=medium

  * Bump debian/compat to 12.
  * Upstream branch renamed to main, updated gbp.conf.
  * Do not look for the test in a relative path, fixing autopkgtest failure.
  * No slapd.pid created in the ADT test wrapper, removed.
  * Rename temp and artifact variables in autopkgtest.
  * Update debian/watch format version.
  * Bump standards version to 4.5.1.
  * Remove acute accents from manpage.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 11 Feb 2021 11:04:03 +1100

nsscache (0.41-1) unstable; urgency=medium

  * New upstream release.
  * Move slapd regression test to the top level test for project consistency.
  * Moved Debian packaging to salsa.debian.org: updated control.
  * Indicate to gbp which branch is upstream.
  * Bump standards-version to 4.4.0.
  * Update debian/compat level to 10.
  * Install conffile correctly.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 08 Feb 2021 10:52:13 +1100

nsscache (0.39-2) unstable; urgency=medium

  * Make the tests execute correctly under pybuild by overriding the default local to search.
  * Trap NoSectionError when trying to load automount prefix and suffix mutators.
  * Tell pybuild to copy in nsscache.conf as it's used as testdata for confit_test.py.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 12 Nov 2019 21:43:52 +1100

nsscache (0.39-1) unstable; urgency=medium

  * New upstream release.
  * Move the status check to the run, because beforehand the config doesn't exist.
  * Update the source options to ignore python generated files.
  * Update build deps and suggests for boto3, letting the tests pass and users who want s3 buckets to be able to succeed.
  * Update rules to run pytest tests now runtests is deleted upstream.
  * Add a config for gbp.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 12 Nov 2019 04:04:05 +1100

nsscache (0.38-2) unstable; urgency=medium

  * Ensure the autopkgtest has a bsddb dependency installed.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 09 Nov 2019 23:03:00 +1100

nsscache (0.38-1) unstable; urgency=medium

  * New upstream release.
    * Python3!  Closes: #937164

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 09 Nov 2019 03:38:45 +1100

nsscache (0.37-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 01 Nov 2018 05:29:02 +1100

nsscache (0.36-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 22 Apr 2018 12:07:04 +1000

nsscache (0.35-1) unstable; urgency=medium

  * New upstream release.
  * Fix lintian warning; bump standards version.
  * Fix lintian warning; remove Testsuite header.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 03 Nov 2017 15:29:14 +1100

nsscache (0.34-2) unstable; urgency=medium

  * Add more diagnostics to the regtest.
  * Fix version numbers in manpages.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 18 Apr 2017 10:04:30 +1000

nsscache (0.34-1) unstable; urgency=medium

  * New upstream release.
  * Fix the path to nsscache in debci regtest, so it tests the installed
    version, not from the source directory.
  * Bump debian/compat to a supported version, take 2.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 13 Apr 2017 21:11:06 +1000

nsscache (0.33-3) unstable; urgency=high

  * Revert change to debian/compat for the RC bugfix.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 07 Apr 2017 19:19:11 +1000

nsscache (0.33-2) unstable; urgency=high (fix RC bug)

  * Update debian/links which is causing the binary to be removed.
    Closes: #857087.
  * Urgency=critical to fix RC-bug before autoremoval.
  * Update debian/compat to a supported version.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 04 Apr 2017 19:58:41 +1000

nsscache (0.33-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 15:32:19 +1100

nsscache (0.32-2) unstable; urgency=medium

  * Build-depend on tzdata.  Closes: #839435.
  * Bump standards version.
  * Update project homepage to GitHub.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 01 Nov 2016 14:51:20 +1100

nsscache (0.32-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 17 Jan 2016 13:08:15 +1100

nsscache (0.30-4) unstable; urgency=medium

  * Allow stderr output in the autopkgtest test.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 30 May 2015 16:33:23 +1000

nsscache (0.30-3) unstable; urgency=medium

  * Convert to dh-python2 from python-support.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 23 May 2015 17:25:55 +1000

nsscache (0.30-2) unstable; urgency=medium

  * Add the autopkgtest testsuite back to the control file.
  * Fix some path errors in the regression test.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 21 May 2015 20:01:23 +1000

nsscache (0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 20 May 2015 08:56:19 +1000

nsscache (0.29-2) unstable; urgency=medium

  * Add dependency on libnss-db back to build-depends, to fix a FTBFS on
    amd64.  Closes: #750329.

 -- Jamie Wilkinson <jaq@debian.org>  Wed, 22 Oct 2014 10:09:50 +1100

nsscache (0.29-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version.
  * Disable autopkgtest for now as the test script is broken.  Closes:
    #757019.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 21 Oct 2014 22:32:27 +1100

nsscache (0.27-3) unstable; urgency=medium

  * Updated watchfile for github.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 21 Oct 2014 19:30:07 +1100

nsscache (0.27-2) unstable; urgency=medium

  * Remove suggests: on python-zsync, which doesn't exist.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 24 May 2014 13:10:49 +1000

nsscache (0.27-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest regression test to the package.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 22 May 2014 17:49:09 +1000

nsscache (0.26-1) unstable; urgency=low

  * New upstream version.
  * Add authorized-keys-command.sh to examples.
  * Add a dh_auto_test override target to debian/rules.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 17 May 2014 17:09:05 +1000

nsscache (0.25-1) unstable; urgency=medium

  * New upstream release.
  * Added packaging VCS headers to control file.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 01 May 2014 00:09:30 +1000

nsscache (0.24-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 29 Apr 2014 19:46:00 +1000

nsscache (0.23-2) unstable; urgency=low

  * Refactor debian/rules to install into /usr/share/nsscache.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Oct 2013 09:52:13 +1100

nsscache (0.23-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 06 Oct 2013 14:43:12 +1100

nsscache (0.22-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 30 Jul 2013 11:00:45 +0000

nsscache (0.21.19-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 14 Jan 2013 22:23:44 +0000

nsscache (0.21.18-2) unstable; urgency=low

  * Fix unmanaged files in tarball, by adding to debian/source/options.  (Closes: #643227)

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 07 Jan 2013 09:56:48 +0000

nsscache (0.21.18-1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@debian.org>  Sun, 06 Jan 2013 18:52:48 +1100

nsscache (0.21.17-2) unstable; urgency=low

  * Delete debugging print.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 10 Feb 2012 10:45:42 +1100

nsscache (0.21.17-1) unstable; urgency=low

  * New upstream release.
   * Clean up temp directories on error.
   * Port unit tests to use python-mox instead of pmock.

 -- Jamie Wilkinson <jaq@debian.org>  Fri, 10 Feb 2012 10:10:42 +1100

nsscache (0.21.16-0gg2) lucid; urgency=low

  * Fix subprocess communication with getent so that nsscache -v verify
    works again.

 -- Joel Sing <jsing@google.com>  Wed, 05 Oct 2011 18:21:06 +1100

nsscache (0.21.16-0gg1) unstable; urgency=low

  * If a zsync fetch fails against the local cache, fall back to a full
    fetch via zsync.

 -- Joel Sing <jsing@google.com>  Wed, 08 Jun 2011 17:04:17 +1000

nsscache (0.21.15-0gg1) unstable; urgency=low

  * Create indexes for the latest libnss-cache.
  * Add python-mox to the build dependencies.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 16 May 2011 16:44:51 +1000

nsscache (0.21.14-0gg2) unstable; urgency=low

  * Add a postinst that will clear out accidental nsscache turds from /etc.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 09 May 2011 16:24:44 +1000

nsscache (0.21.14-0gg1) unstable; urgency=low

  * New upstream release.
   * Raise InvalidMap if the zsync decompress fails.
   * Handle EmptyMap before trying to gpg decrypt the result.
   * Handle missing and multiple signatures from pyme without crashing.
   * Catch InvalidMap in the command object.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 05 May 2011 14:46:23 +1000

nsscache (0.21.13-0gg1) unstable; urgency=low

  * New upstream release.
   * No longer falls back to pycurl to retrieve a full file if zsync
    fetches fail.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 02 May 2011 14:35:13 +1000

nsscache (0.21.12-0gg2) unstable; urgency=low

  * Fix package dependencies on pycurl and python-ldap.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 28 Apr 2011 10:11:19 +1000

nsscache (0.21.12-0gg1) unstable; urgency=low

  * If a timestamp stored locally is more than an hour in the future,
    ignore it and use 'now'.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 10 Mar 2011 10:21:32 -0800

nsscache (0.21.11-0gg1) unstable; urgency=low

  * Fix the unit tests for full updates, and make the handling of the
    --force-write flag act as documented.
  * Update the test runner to show log output if --verbosity is enabled.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 08 Mar 2011 17:25:43 -0800

nsscache (0.21.10-0gg1) unstable; urgency=low

  * New upstream release.
   * Handle relative paths in the config when creating temporary directories.

 -- Jamie Wilkinson <jaq@google.com>  Wed, 09 Feb 2011 20:34:36 -0800

nsscache (0.21.9-0gg1) unstable; urgency=low

  * New upstream release.
   * Fix bugs in the ldapsource module introduced by changing the
    timestamp type from an int to a time.struct_time.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 07 Feb 2011 21:24:41 -0800

nsscache (0.21.8-0gg1) unstable; urgency=low

  * New upstream release.
   * Update the status output to be flexible, adding --template and
    --automount-template options.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 01 Feb 2011 23:52:08 -0800

nsscache (0.21.7-0gg1) unstable; urgency=low

  * New upstream release.
   * Improve logging around adding to an automount map.
   * Ignore elements of automount master that we can't parse, instead of
    crashing.
   * Rename automount_info to automount_mountpoint for clarity.
   * Work around a bug in bdb-4.8 that doesn't like writing to a
    zero-length file, instead we create a security hole race condition on
    the tempfile we want it to write to. Oh well, if you use bdb for nss
    caching then you are going to suffer many more problems than just this
    one.
   * Drop python2.3 and lower support by insisting on the set() type, and
    using subprocess instead of popen*.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 31 Jan 2011 13:57:19 -0800

nsscache (0.21.6-0gg1) unstable; urgency=low

  * New upstream release.
   * Don't retrieve the auto.master file from the zsync source if
     zsync_local_automount_master is set to yes.
   * Fix a crash caused by bad code clagging between update/files.py and
     update/maps.py.

 -- Jamie Wilkinson <jaq@google.com>  Fri, 28 Jan 2011 17:58:07 -0800

nsscache (0.21.5-0gg1) unstable; urgency=low

  * New upstream release.
    * Change the log message formatting depending on where the logs go,
      adding timestamp, level, and source location when on the console, and
      removing everything but the level and message when going to syslog.
    * Actually sort netgroup membership.
    * Create temp files in the same directory as the destination, as
      cross-filesystem renames aren't atomic.
    * Create a temporary directory in the target directory, and chdir into
      it, in case a zsync source is used; zsync's librcksum creates its
      temporary files in the cwd, and sometimes doesn't clean up after
      itself.
    * Fix printing of timestamps in nsscache status output.
    * Don't abort on EmptyMap errors, continue onto the next map.

 -- Jamie Wilkinson <jaq@google.com>  Fri, 28 Jan 2011 14:04:01 -0800

nsscache (0.21.4-0gg2) unstable; urgency=low

  * Put nsscache back in /usr/bin

 -- Michael Haro <mharo@google.com>  Fri, 28 Jan 2011 04:44:34 -0800

nsscache (0.21.4-0gg1) unstable; urgency=low

  * New upstream release.
    * Sort netgroup membership.
    * Log the time it takes to perform a whole run.
    * Factor out the updater factory method from app.py.
    * Don't quit the updater if one map fails, wait for all maps to finish
      processing before exiting.
    * Add the pid, module, and function name to the syslog format string.

 -- Jamie Wilkinson <jaq@google.com>  Wed, 26 Jan 2011 15:57:50 -0800

nsscache (0.21.3-0gg1) unstable; urgency=low

  * New upstream release.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 25 Jan 2011 23:32:39 -0800

nsscache (0.21.2-0gg2) unstable; urgency=low

  * Reduce the size of netgroup files by half for ldap servers that use
    memberNisNetgroup attributes like they use nisNetgroupTriple; they're
    both just text fields so easy to do it incorrectly; use a set instead
    of a list to remove duplicates.
  * Convert timestamp handling to use time.struct_time instead of epoch
    timestamps, the former lets us control the timezone of the timestamp
    correctly.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 25 Jan 2011 23:11:22 -0800

nsscache (0.21.2-0gg1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 25 Jan 2011 16:45:15 -0800

nsscache (0.21.1-0gg1) unstable; urgency=low

  * Bump version number in nss_cache/__init__.py so that the code knows
    what version it's running.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 25 Jan 2011 15:01:09 -0800

nsscache (0.21-1) unstable; urgency=low

  * Include exit code in Exiting message

 -- Michael Haro <mharo@google.com>  Mon, 17 Jan 2011 22:07:46 -0800

nsscache (0.20-1) unstable; urgency=low

  * Do all work in a tempdir that we clean up on a normal exit.

 -- David MacKinnon <blaedd@google.com>  Fri, 14 Jan 2011 12:24:55 +1100

nsscache (0.19-2) unstable; urgency=low

  * Initial upload to Debian.  (Closes: #609625)

 -- Jamie Wilkinson <jaq@debian.org>  Tue, 11 Jan 2011 00:24:54 +0000

nsscache (0.19-1) unstable; urgency=low

  * Allow a 206 response code when fetching the GPG signature.

 -- David MacKinnon <blaedd@google.com>  Fri, 19 Nov 2010 11:32:13 +1100

nsscache (0.18-1) unstable; urgency=low

  * Remove the norange_conn. A range of 0- rather than blank will do
    the job.

 -- David MacKinnon <blaedd@google.com>  Thu, 18 Nov 2010 13:22:27 +1100

nsscache (0.17-2) unstable; urgency=low

  * Bugfix for zsyncsource.Verify()

 -- David MacKinnon <blaedd@google.com>  Mon, 08 Nov 2010 10:31:49 +1100

nsscache (0.16-1) unstable; urgency=low

  * Change behaviour when fetching full files. Use a separate connection
    that doesn't have the range header set at all.

 -- David MacKinnon <blaedd@google.com>  Wed, 03 Nov 2010 17:29:30 +1100

nsscache (0.15-1) unstable; urgency=low

  * Add Verify() to the zsync source.

 -- David MacKinnon <blaedd@google.com>  Thu, 26 Aug 2010 16:01:25 +1000

nsscache (0.14-1) unstable; urgency=low

  * Treat non-existent file maps as empty.

 -- David MacKinnon <blaedd@google.com>  Thu, 15 Jul 2010 14:32:51 +1000

nsscache (0.13-1) unstable; urgency=low

  * Fix some errors in the GPG handling in zsyncsource.py

 -- David MacKinnon <blaedd@google.com>  Mon, 12 Jul 2010 16:29:02 +1000

nsscache (0.12-3) unstable; urgency=low

  * Create /var/lib/nsscache

 -- David MacKinnon <blaedd@google.com>  Tue, 11 May 2010 12:17:21 +1000

nsscache (0.12-2) unstable; urgency=low

  * Remove unit tests and test runner from package

 -- David MacKinnon <blaedd@google.com>  Fri, 23 Apr 2010 13:19:36 +1000

nsscache (0.12-1) unstable; urgency=low

  * Add support for GPG signed files to the zsyncsource

 -- David MacKinnon <blaedd@google.com>  Tue, 30 Mar 2010 15:21:03 +1100

nsscache (0.11-1) unstable; urgency=low

  * Add the zsync source
  * Added file based Updater classes

 -- David MacKinnon <blaedd@google.com>  Thu, 25 Mar 2010 15:51:44 +1100

nsscache (0.10-1) unstable; urgency=low

  * Add support for netgroups and automounts to the HTTP file source.

 -- David MacKinnon <blaedd@google.com>  Thu, 18 Feb 2010 12:51:07 +1100

nsscache (0.9-4) unstable; urgency=low

  * Install into /usr/bin instead of /usr/local/bin

 -- Andrew Pollock <apollock@google.com>  Fri, 19 Mar 2010 15:18:39 -0700

nsscache (0.9-3) unstable; urgency=low

  * Minor packaging changes for lucid

 -- David MacKinnon <blaedd@google.com>  Mon, 15 Mar 2010 16:32:38 +1100

nsscache (0.9-2) unstable; urgency=low

  * Fix setup.py to include the new util package.

 -- David MacKinnon <blaedd@google.com>  Wed, 17 Feb 2010 14:44:19 +1100

nsscache (0.9-1) unstable; urgency=low

  * Add a HTTPSource. This only supports the passwd/shadow/group maps for now,
    and adds a pycurl dependency. The long term plan is to support zsync.

 -- David MacKinnon <blaedd@google.com>  Mon, 14 Dec 2009 12:52:16 +1100

nsscache (0.8.8-1) unstable; urgency=low

  * gracefully handle a missing auto.master when using the local automount
    master map -- issues a warning and skips auto.* updates.

 -- V Hoffman <vasilios@google.com>  Tue, 23 Jun 2009 15:52:05 -0700

nsscache (0.8.7-2) unstable; urgency=low

  * Explicit dependency on python2.4 instead of using ${python:Depends}
    as we call python2.4 as the interpreter in /usr/bin/nsscache.

 -- Jamie Wilkinson <jaq@google.com>  Tue, 10 Mar 2009 15:21:21 +1100

nsscache (0.8.7-1) unstable; urgency=low

  * Handle comments in map files.
  * Stop FileCache.Write() from closing the cache file
  * Handle closed cache files more gracefully in _Commit()

 -- David MacKinnon <blaedd@google.com>  Thu, 26 Feb 2009 14:01:43 +1100

nsscache (0.8.6-1) unstable; urgency=low

  * Worked around set(), subprocess, ConfigParser, and logging to allow
    nsscache to run on python2.3 systems.  (code.google.com issue #15)
  * Call flush after write and fsync before close on timestamps
    and temporary files to ensure data is committed to disk before
    renaming to overwrite old data, reducing chance of data loss.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 29 Jan 2009 13:16:00 +1100

nsscache (0.8.5-1) unstable; urgency=low

  * add local_automaster flag to the automount section of the files backend,
    to allow for local control over which automount masters are enabled and
    updated
  * fix files backend to not write extra whitespace with empty automount
    options, and to properly parse extra whitespace on read

 -- V Hoffman <vasilios@google.com>  Wed, 19 Nov 2008 16:24:58 +0900

nsscache (0.8.4-1) unstable; urgency=low

  * some style cleanups as I encountered them
  * fixed timezone dependancy in unit test

 -- V Hoffman <vasilios@google.com>  Wed, 12 Nov 2008 18:08:59 +0900

nsscache (0.8.3-1) unstable; urgency=low

  * New upstream version
    - Uses posix exit codes.  (jaq)

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 11 Aug 2008 12:41:33 +1000

nsscache (0.8.2-1) unstable; urgency=low

  * nsscache instantiation no longer fails if syslog's /dev/log cannot be
    accessed.

 -- Matt T. Proud <mtp@google.com>  Thu, 31 Jul 2008 09:25:40 -0700

nsscache (0.8.1-2) unstable; urgency=low

  * rebuild for hardy under a new package number

 -- V Hoffman <vasilios@google.com>  Wed, 30 Jul 2008 17:20:08 -0700

nsscache (0.8.1-1) unstable; urgency=low

  * New upstream version
    - netgroup entries use str instead of list for speed and memory benefits

 -- V Hoffman <vasilios@google.com>  Mon, 28 Jul 2008 20:15:54 -0700

nsscache (0.8.0-1) unstable; urgency=low

  * New upstream version
    - automount support
    - fixed bug where we keep re-merging on incremental updates sometimes

 -- V Hoffman <vasilios@google.com>  Wed, 11 Jun 2008 22:01:33 -0700

nsscache (0.7.4-1) unstable; urgency=low

  * New upstream version
    - netgroup verify generates an info notice not a warning

 -- V Hoffman <vasilios@google.com>  Thu, 10 Apr 2008 17:33:18 -0700

nsscache (0.7.3-1) unstable; urgency=low

  * New upstream version.
    - verify command now recognizes when modules use libnss-cache and when
      they do not.
    - Add patch from 'pingu' that synchronises crypted userPassword in
      the shadow map if available.

 -- V Hoffman <vasilios@google.com>  Tue,  8 Apr 2008 17:55:09 -0700

nsscache (0.7.2-1) unstable; urgency=low

  * New upstream version.
    - __slots__ used to reduce memory footprint for large maps.
    - Write() made destructive to reduce memory footprint for large maps.
    - MapEntry classes no longer use internal dict()s, to reduce memory waste.
    - Removed unecessary attribute validation in MapEntry classes for speed.
    - Removed unused methods from the Map API, e.g. Remove() and UpdateKey().

 -- V Hoffman <vasilios@google.com>  Wed, 26 Mar 2008 14:01:10 -0700

nsscache (0.7.1-1) unstable; urgency=low

  * New upstream version.
    - 'verify' command works with non-nssdb backends.
    - error messages do not print 'None' instead of the nsswitch.conf
      location.
    - Fix issue #1 from code.google.com where cache_map was referenced
      before use.

 -- Jamie Wilkinson <jaq@google.com>  Mon,  3 Mar 2008 14:03:41 +1100

nsscache (0.7-1) unstable; urgency=low

  * New upstream version.
    - 'files' backend has netgroup support
    - incremental updates run faster when there are no updates
    - ldapsource module no longer pulls old data on incremental updates
    - modify-timestamp updates properly on incremental updates

 -- V Hoffman <vasilios@google.com>  Wed, 14 Nov 2007 09:56:09 -0800

nsscache (0.6-1) unstable; urgency=low

  * New upstream version.
    - 'files' backend for passwd, group, and shadow.
    - Fixed rollback errors that left temporary files around.
    - Temporary files now prefixed with 'nsscache' for identification.
    - Numerous bugfixes and cleanups.
    - nsscache is now GPL'd.
    - Added a nsscache.conf.5 manpage with content.
  * Add libnss-cache as a dependency, OR'd with libnss-db.
  * Downgrade Recommends libdb4.3 to Suggests now that we also have a files
    backend and libdb is no longer required for successful operation.
  * Do not install the cron fragment, but instead package it as an example
    only.

 -- Jamie Wilkinson <jaq@google.com>  Tue,  9 Oct 2007 13:53:39 +1000

nsscache (0.5-2) unstable; urgency=low

  * Change dependency on libdb to Recommends. (jaq)

 -- Jamie Wilkinson <jaq@google.com>  Tue, 17 Jul 2007 14:14:08 +1000

nsscache (0.5-1) unstable; urgency=low

  * New upstream version.
    - Lazy-load the cache contents on demand, so that checking the status
      doesn't take large amounts of time. (jaq)
    - Add retry-on-connect to LdapSource. (vasilios)
    - Fail gracefully if the LdapSource source is unreachable.  (vasilios)
    - Strip quotes from configuration values.  (jaq)
    - Cast configuration options to floats if possible.  (vasilios)
    - Clean up temp files if we abort before committing the cache file.  (jaq)
    - Improve status reporting for monitoring.  (jaq)
  * Depends on patched libdb to fix memory leak. (vasilios)

 -- Jamie Wilkinson <jaq@google.com>  Mon,  25 Jun 2007 16:51:50 -0700

nsscache (0.4-1) unstable; urgency=low

  * New upstream version.

 -- Jamie Wilkinson <jaq@google.com>  Mon,  4 Jun 2007 16:51:50 -0700

nsscache (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up debian/rules.

 -- Jamie Wilkinson <jaq@google.com>  Fri, 18 May 2007 11:52:26 +1000

nsscache (0.3-1) unstable; urgency=low

  * New upstream version.
  * Install manpages nsscache.1 and nsscache.conf.5.

 -- Jamie Wilkinson <jaq@google.com>  Wed, 16 May 2007 11:17:01 +1000

nsscache (0.2-2) unstable; urgency=low

  * Altered cron job edit to not set the 15 minutely job at an initial
    offset greater than 15 minutes.

 -- Jamie Wilkinson <jaq@google.com>  Thu, 10 May 2007 14:22:09 +1000

nsscache (0.2-1) unstable; urgency=low

  * New upstream version.
  * Change command for full daily update as it is supported by nsscache
    directly now.
  * Set full daily update run time to a random offset between 2AM and 5AM
    in postinst.
  * Make the cron fragment an example file, and only copy it over if it
    doesn't exist.  This is done to satisfy Debian Policy which states
    that a maintainer script must not alter a conffile otherwise the
    user would be pestered about changes every time a package upgrades.
  * Delete the generated cron fragment at package purge time.
  * Updated debian/rules to clean source on debian clean target.

 -- Jamie Wilkinson <jaq@google.com>  Tue,  8 May 2007 19:13:20 +1000

nsscache (0.1-2) unstable; urgency=low

  * Fix logging error causing incremental updates to fail.

 -- Jamie Wilkinson <jaq@google.com>  Mon, 16 Apr 2007 16:42:56 +1000

nsscache (0.1-1) unstable; urgency=low

  * Rename of upstream.
   - Provide, replace, and conflict with lofsync.
  * Remove conflicts on nscd.

 -- Jamie Wilkinson <jaq@google.com>  Mon,  5 Feb 2007 16:05:28 +1100

lofsync (0.1-1) unstable; urgency=low

  * Initial debian packaging

 -- Iustin Pop <iustin@google.com>  Tue,  8 Aug 2006 17:09:49 +0200
